Package ru.nilsoft.tm

# Class TMCommand.errors

java.lang.Object
ru.nilsoft.tm.TMCommand.errors

Enclosing class:
  `TMCommand`

public static final class TMCommand.errors extends Object
Коды ошибок выполнения команд.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `COMMAND_OK`
  Успешное выполнение команды.
  `static final byte`
  `ERR_ALREADY_CERTIFIED`
  ККТ уже сертифицирован (присвоен ЗН).
  `static final byte`
  `ERR_ALREADY_DEPART_INDEX`
  Индекс отдела уже используется.
  `static final byte`
  `ERR_ALREADY_INIT`
  Попытка повторной инициализации связи.
  `static final byte`
  `ERR_ALREADY_OPEN`
  Фискальный документ уже открыт.
  `static final byte`
  `ERR_AMOUNT_OVERFLOW`
  Переполнение счетчика.
  `static final byte`
  `ERR_AMOUNT_TOOLARGE`
  Слишком большой результат.
  `static final byte`
  `ERR_BAD_ANS_STRUCT`
  Неверная структура ответа.
  `static final byte`
  `ERR_BAD_BCC`
  Неверная контрольная сумма ответа.
  `static final byte`
  `ERR_BAD_CRC_FN`
  Неверный CRC ответа ФН.
  `static final byte`
  `ERR_BAD_CRYPTO_FN`
  Ошибка криптографического сопроцессора ФН.
  `static final byte`
  `ERR_BAD_DIF_TIME_FN`
  Неверная разница во времени между операциями.
  `static final byte`
  `ERR_BAD_FN_CMD`
  Общая ошибка, сбой обращения к ФН.
  `static final byte`
  `ERR_BAD_ID_CHAR`
  Неверный номер ответа.
  `static final byte`
  `ERR_BAD_MSG_OFD_SIZE`
  Неверная длина ответа от ФН.
  `static final byte`
  `ERR_BAD_OFD_RESPONSE`
  Отрицательный (ненулевой) ответ от оператора фискальных данных (ОФД).
  `static final byte`
  `ERR_BAD_PAR_FN`
  Некорректное значение параметров команды ФН.
  `static final byte`
  `ERR_BAD_REG_FN_NUM`
  Неверный регистрационный номер ФН.
  `static final byte`
  `ERR_BAD_REG_NUM`
  Неверное контрольное число регистрационного номера ККТ.
  `static final byte`
  `ERR_BAD_STATE`
  Неверное состояние КФН.
  `static final byte`
  `ERR_BAD_STATE_FN`
  Неверное состояние ФН.
  `static final byte`
  `ERR_BAD_TAG_COMBINATION_FN`
  Неверная комбинация тегов.
  `static final byte`
  `ERR_BAD_TAG_FORMAT`
  Ошибка формата тега.
  `static final byte`
  `ERR_BAD_TAG_FROM_ECR`
  Неверный тег.
  `static final byte`
  `ERR_BAD_TAG_SIZE`
  Неверный размер тега.
  `static final byte`
  `ERR_BAD_TAX_INDEX`
  Индекс налога вне диапазона 0;10;18.
  `static final byte`
  `ERR_BAD_TIME_FN`
  Неверные дата и/или время ФН.
  `static final byte`
  `ERR_BAD_TLV_SIZE_FN`
  Превышение размеров TLV данных ФН.
  `static final byte`
  `ERR_CERTIFICATION_REQUIRED`
  ККТ требуется сертификация (не присвоен ЗН).
  `static final byte`
  `ERR_CMD_TOOLARGE`
  Превышен максимальный размер команды.
  `static final byte`
  `ERR_CMOS_MEMORYFULL`
  Внутренняя память КФН переполнена.
  `static final byte`
  `ERR_DEPART_FULL`
  Список отделов заполнен.
  `static final byte`
  `ERR_DEPART_NOT_FOUND`
  Номер отдела неопределен.
  `static final byte`
  `ERR_DISCONTINUED_FN`
  Закончен срок эксплуатации ФН.
  `static final byte`
  `ERR_DOC_OVERFLOW`
  Переполнение буфера документа в КФН.
  `static final byte`
  `ERR_EJ_BAD_STATE`
  Неверное состояние электронного журнала (РПКУ).
  `static final byte`
  `ERR_EJ_FAIL`
  Ошибка электронного журнала (РПКУ).
  `static final byte`
  `ERR_EJ_PRINT_REQUIRE`
  Требуется распечатка электронного журнала (РПКУ).
  `static final byte`
  `ERR_F_REQUIRED`
  Требуется сертификация.
  `static final byte`
  `ERR_FAIL_FN`
  Ошибка ФН.
  `static final byte`
  `ERR_FAIL_MSG_OFD`
  Сообщение от ОФД не может быть.
  `static final byte`
  `ERR_FAIL_STORE_FN`
  Исчерпан ресурс хранения документов для ОФД.
  `static final byte`
  `ERR_FAIL_WAIT_FN`
  Исчерпан ресурс ожидания передачи сообщения в ОФД.
  `static final byte`
  `ERR_FLD_OUT_OF_RANGE`
  Значение поля вне диапазона.
  `static final byte`
  `ERR_INCORRECT_DOCSTATE`
  При текущем состоянии документа эта команда не допустима.
  `static final byte`
  `ERR_INIT_DLL`
  Ошибка инициализации.
  `static final byte`
  `ERR_INIT_REQUIRE`
  Требуется инициализация связи.
  `static final byte`
  `ERR_INVALID_70_BUFFER`
  Буфер содержит недопустимую команду принтера.
  `static final byte`
  `ERR_INVALID_BCC`
  Неверная контрольная сумма (BCC).
  `static final byte`
  `ERR_INVALID_CMD`
  Ошибка кода команды.
  `static final byte`
  `ERR_INVALID_CMDSTRUCT`
  Неверный формат сообщения.
  `static final byte`
  `ERR_INVALID_DATE`
  Не допустимая дата.
  `static final byte`
  `ERR_INVALID_FLD`
  Неверный формат поля.
  `static final byte`
  `ERR_INVALID_FLD_TYPE`
  Неверный тип данных.
  `static final byte`
  `ERR_INVALID_G_FIELD`
  Неверное G-поле.
  `static final byte`
  `ERR_INVALID_NUMFIELD`
  Неверный номер поля.
  `static final byte`
  `ERR_INVALID_OPERATION`
  Неверная операция.
  `static final byte`
  `ERR_INVALID_PARAMETER`
  Неправильный параметр.
  `static final byte`
  `ERR_INVALID_PAYTYPE`
  Недопустимый тип оплаты.
  `static final byte`
  `ERR_INVALID_PRINTERSTATE`
  Неверное состояние принтера.
  `static final byte`
  `ERR_INVALID_PSWD`
  Неверный пароль передачи данных.
  `static final byte`
  `ERR_INVALID_TAG`
  Недопустимый тэг.
  `static final byte`
  `ERR_INVALID_TIME`
  Неверное дата/время.
  `static final byte`
  `ERR_KFN_IN_SERVICE_MODE`
  КФН находится в сервисном режиме.
  `static final byte`
  `ERR_MEMORYOUT`
  Недостаточно памяти.
  `static final byte`
  `ERR_NEED_DATETIME_SYNC`
  Необходимо синхронизировать дату/время ККТ и ПК.
  `static final byte`
  `ERR_NEED_INIT_FN`
  Необходима инициализация.
  `static final byte`
  `ERR_NEED_REQUIRED_FLD`
  Обязательное строковое поле имеет нулевую длину.
  `static final byte`
  `ERR_NEGATIVE_DAYTOTAL`
  Отрицательный счетчик суммы за день.
  `static final byte`
  `ERR_NEGATIVE_IN_CASH`
  Отрицательная сумма в денежном ящике.
  `static final byte`
  `ERR_NEGATIVE_OPERCOUNTER`
  Отрицательный счетчик операций.
  `static final byte`
  `ERR_NO_DATA_FN`
  Нет запрошенных данных ФН.
  `static final byte`
  `ERR_NO_MORE_FISCALIZATIONS`
  Число фискализаций исчерпано.
  `static final byte`
  `ERR_NO_MORE_REGISTRATIONS`
  Регистрации исчерпаны.
  `static final byte`
  `ERR_NOT_COMPLEMENT_PAR`
  Параметры команды противоречат друг другу.
  `static final byte`
  `ERR_NOT_CREATED`
  Структура не создавалась.
  `static final byte`
  `ERR_NOT_OPEN`
  Фискальный документ не открыт.
  `static final byte`
  `ERR_NOT_RESP_FN`
  Нет ответа от ФН.
  `static final byte`
  `ERR_OUT_OF_PAPER`
  Бумага в принтере закончилась.
  `static final byte`
  `ERR_OVERLOAD_CC_FN`
  Исчерпан ресурс криптографического сопроцессора ФН.
  `static final byte`
  `ERR_OVERLOAD_FN`
  Архив ФН переполнен.
  `static final byte`
  `ERR_PAY_EMPTY`
  Отсутствует вид оплаты.
  `static final byte`
  `ERR_PAY_MAX`
  Превышено количество видов оплаты.
  `static final byte`
  `ERR_PDF_FAIL`
  Ошибка PDF417.
  `static final byte`
  `ERR_POS_EMPTY`
  Отсутствуют обязательные реквизиты.
  `static final byte`
  `ERR_PRINTER_CONNECT_ERR`
  Ошибка соединения с принтером.
  `static final byte`
  `ERR_PRINTER_NOTREADY`
  Принтер не готов к печати.
  `static final byte`
  `ERR_PRINTER_TIMEOUT`
  Таймаут обращения к принтеру.
  `static final byte`
  `ERR_RECEIVE`
  Ошибка при приеме данных.
  `static final byte`
  `ERR_REG_GET_ERR`
  Ошибка приема КФН.
  `static final byte`
  `ERR_REG_TIMEOUT`
  Таймаут приема КФН.
  `static final byte`
  `ERR_REGISTRATOR_BUSY`
  Ответ регистратора еще не готов.
  `static final byte`
  `ERR_SHIFT_ALREADY_OPENED`
  Смена уже открыта.
  `static final byte`
  `ERR_SHIFT_TOO_LONG`
  Продолжительность смены более 24 часов.
  `static final byte`
  `ERR_SHIFTOPEN_REQUIRED`
  Необходимо открыть смену.
  `static final byte`
  `ERR_SLIP_TIMEOUT`
  Превышен таймаут ожидания печати.
  `static final byte`
  `ERR_START_REQUIRED`
  Необходима команда "Начало сеанса".
  `static final byte`
  `ERR_STRING_TOOLARGE`
  Превышена максимальная длина строкового поля.
  `static final byte`
  `ERR_TAG_NOT_FOUND`
  Отсутствует обязательный тэг.
  `static final byte`
  `ERR_TIME_TOOLARGE`
  Время изменилось больше чем на 24 часа.
  `static final byte`
  `ERR_TIMEOUT`
  Таймаут приема.
  `static final byte`
  `ERR_TRANSMIT`
  Ошибка при передаче данных.
  `static final byte`
  `ERR_TRANSPORT_FAIL`
  Нет транспортного соединения.
  `static final byte`
  `ERR_UNKNOWN_FN_CMD`
  Неизвестная команда, неверный формат параметров к ФН.
  `static final byte`
  `ERR_Z_REQUIRED`
  Требуется открыть смену.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `errors()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### COMMAND_OK

    public static final byte COMMAND_OK
    Успешное выполнение команды.
    See Also:
      - Constant Field Values

  - ### ERR_INVALID_CMDSTRUCT

    public static final byte ERR_INVALID_CMDSTRUCT
    Неверный формат сообщения.
    See Also:
      - Constant Field Values

  - ### ERR_INVALID_FLD

    public static final byte ERR_INVALID_FLD
    Неверный формат поля.
    See Also:
      - Constant Field Values

  - ### ERR_INVALID_TIME

    public static final byte ERR_INVALID_TIME
    Неверное дата/время.
    See Also:
      - Constant Field Values

  - ### ERR_INVALID_BCC

    public static final byte ERR_INVALID_BCC
    Неверная контрольная сумма (BCC).
    See Also:
      - Constant Field Values

  - ### ERR_INVALID_PSWD

    public static final byte ERR_INVALID_PSWD
    Неверный пароль передачи данных.
    See Also:
      - Constant Field Values

  - ### ERR_INVALID_CMD

    public static final byte ERR_INVALID_CMD
    Ошибка кода команды.
    See Also:
      - Constant Field Values

  - ### ERR_START_REQUIRED

    public static final byte ERR_START_REQUIRED
    Необходима команда "Начало сеанса".
    See Also:
      - Constant Field Values

  - ### ERR_TIME_TOOLARGE

    public static final byte ERR_TIME_TOOLARGE
    Время изменилось больше чем на 24 часа.
    See Also:
      - Constant Field Values

  - ### ERR_STRING_TOOLARGE

    public static final byte ERR_STRING_TOOLARGE
    Превышена максимальная длина строкового поля.
    See Also:
      - Constant Field Values

  - ### ERR_CMD_TOOLARGE

    public static final byte ERR_CMD_TOOLARGE
    Превышен максимальный размер команды.
    See Also:
      - Constant Field Values

  - ### ERR_INVALID_OPERATION

    public static final byte ERR_INVALID_OPERATION
    Неверная операция.
    See Also:
      - Constant Field Values

  - ### ERR_FLD_OUT_OF_RANGE

    public static final byte ERR_FLD_OUT_OF_RANGE
    Значение поля вне диапазона.
    See Also:
      - Constant Field Values

  - ### ERR_INCORRECT_DOCSTATE

    public static final byte ERR_INCORRECT_DOCSTATE
    При текущем состоянии документа эта команда не допустима.
    See Also:
      - Constant Field Values

  - ### ERR_NEED_REQUIRED_FLD

    public static final byte ERR_NEED_REQUIRED_FLD
    Обязательное строковое поле имеет нулевую длину.
    See Also:
      - Constant Field Values

  - ### ERR_AMOUNT_TOOLARGE

    public static final byte ERR_AMOUNT_TOOLARGE
    Слишком большой результат.
    See Also:
      - Constant Field Values

  - ### ERR_AMOUNT_OVERFLOW

    public static final byte ERR_AMOUNT_OVERFLOW
    Переполнение счетчика.
    See Also:
      - Constant Field Values

  - ### ERR_NEGATIVE_OPERCOUNTER

    public static final byte ERR_NEGATIVE_OPERCOUNTER
    Отрицательный счетчик операций.
    See Also:
      - Constant Field Values

  - ### ERR_NEGATIVE_IN_CASH

    public static final byte ERR_NEGATIVE_IN_CASH
    Отрицательная сумма в денежном ящике.
    See Also:
      - Constant Field Values

  - ### ERR_NEGATIVE_DAYTOTAL

    public static final byte ERR_NEGATIVE_DAYTOTAL
    Отрицательный счетчик суммы за день.
    See Also:
      - Constant Field Values

  - ### ERR_CERTIFICATION_REQUIRED

    public static final byte ERR_CERTIFICATION_REQUIRED
    ККТ требуется сертификация (не присвоен ЗН).
    See Also:
      - Constant Field Values

  - ### ERR_Z_REQUIRED

    public static final byte ERR_Z_REQUIRED
    Требуется открыть смену.
    See Also:
      - Constant Field Values

  - ### ERR_PRINTER_TIMEOUT

    public static final byte ERR_PRINTER_TIMEOUT
    Таймаут обращения к принтеру.
    See Also:
      - Constant Field Values

  - ### ERR_PRINTER_CONNECT_ERR

    public static final byte ERR_PRINTER_CONNECT_ERR
    Ошибка соединения с принтером.
    See Also:
      - Constant Field Values

  - ### ERR_PRINTER_NOTREADY

    public static final byte ERR_PRINTER_NOTREADY
    Принтер не готов к печати.
    See Also:
      - Constant Field Values

  - ### ERR_OUT_OF_PAPER

    public static final byte ERR_OUT_OF_PAPER
    Бумага в принтере закончилась.
    See Also:
      - Constant Field Values

  - ### ERR_F_REQUIRED

    public static final byte ERR_F_REQUIRED
    Требуется сертификация.
    See Also:
      - Constant Field Values

  - ### ERR_ALREADY_CERTIFIED

    public static final byte ERR_ALREADY_CERTIFIED
    ККТ уже сертифицирован (присвоен ЗН).
    See Also:
      - Constant Field Values

  - ### ERR_NO_MORE_FISCALIZATIONS

    public static final byte ERR_NO_MORE_FISCALIZATIONS
    Число фискализаций исчерпано.
    See Also:
      - Constant Field Values

  - ### ERR_INVALID_70_BUFFER

    public static final byte ERR_INVALID_70_BUFFER
    Буфер содержит недопустимую команду принтера.
    See Also:
      - Constant Field Values

  - ### ERR_INVALID_G_FIELD

    public static final byte ERR_INVALID_G_FIELD
    Неверное G-поле.
    See Also:
      - Constant Field Values

  - ### ERR_INVALID_PAYTYPE

    public static final byte ERR_INVALID_PAYTYPE
    Недопустимый тип оплаты.
    See Also:
      - Constant Field Values

  - ### ERR_REG_TIMEOUT

    public static final byte ERR_REG_TIMEOUT
    Таймаут приема КФН.
    See Also:
      - Constant Field Values

  - ### ERR_REG_GET_ERR

    public static final byte ERR_REG_GET_ERR
    Ошибка приема КФН.
    See Also:
      - Constant Field Values

  - ### ERR_BAD_STATE

    public static final byte ERR_BAD_STATE
    Неверное состояние КФН.
    See Also:
      - Constant Field Values

  - ### ERR_DOC_OVERFLOW

    public static final byte ERR_DOC_OVERFLOW
    Переполнение буфера документа в КФН.
    See Also:
      - Constant Field Values

  - ### ERR_SHIFTOPEN_REQUIRED

    public static final byte ERR_SHIFTOPEN_REQUIRED
    Необходимо открыть смену.
    See Also:
      - Constant Field Values

  - ### ERR_INVALID_PRINTERSTATE

    public static final byte ERR_INVALID_PRINTERSTATE
    Неверное состояние принтера.
    See Also:
      - Constant Field Values

  - ### ERR_SHIFT_ALREADY_OPENED

    public static final byte ERR_SHIFT_ALREADY_OPENED
    Смена уже открыта.
    See Also:
      - Constant Field Values

  - ### ERR_SLIP_TIMEOUT

    public static final byte ERR_SLIP_TIMEOUT
    Превышен таймаут ожидания печати.
    See Also:
      - Constant Field Values

  - ### ERR_INVALID_DATE

    public static final byte ERR_INVALID_DATE
    Не допустимая дата.
    See Also:
      - Constant Field Values

  - ### ERR_CMOS_MEMORYFULL

    public static final byte ERR_CMOS_MEMORYFULL
    Внутренняя память КФН переполнена.
    See Also:
      - Constant Field Values

  - ### ERR_ALREADY_DEPART_INDEX

    public static final byte ERR_ALREADY_DEPART_INDEX
    Индекс отдела уже используется.
    See Also:
      - Constant Field Values

  - ### ERR_DEPART_FULL

    public static final byte ERR_DEPART_FULL
    Список отделов заполнен.
    See Also:
      - Constant Field Values

  - ### ERR_DEPART_NOT_FOUND

    public static final byte ERR_DEPART_NOT_FOUND
    Номер отдела неопределен.
    See Also:
      - Constant Field Values

  - ### ERR_NEED_INIT_FN

    public static final byte ERR_NEED_INIT_FN
    Необходима инициализация.
    See Also:
      - Constant Field Values

  - ### ERR_BAD_CRC_FN

    public static final byte ERR_BAD_CRC_FN
    Неверный CRC ответа ФН.
    See Also:
      - Constant Field Values

  - ### ERR_KFN_IN_SERVICE_MODE

    public static final byte ERR_KFN_IN_SERVICE_MODE
    КФН находится в сервисном режиме.
    See Also:
      - Constant Field Values

  - ### ERR_EJ_BAD_STATE

    public static final byte ERR_EJ_BAD_STATE
    Неверное состояние электронного журнала (РПКУ).
    See Also:
      - Constant Field Values

  - ### ERR_EJ_PRINT_REQUIRE

    public static final byte ERR_EJ_PRINT_REQUIRE
    Требуется распечатка электронного журнала (РПКУ).
    See Also:
      - Constant Field Values

  - ### ERR_EJ_FAIL

    public static final byte ERR_EJ_FAIL
    Ошибка электронного журнала (РПКУ).
    See Also:
      - Constant Field Values

  - ### ERR_PDF_FAIL

    public static final byte ERR_PDF_FAIL
    Ошибка PDF417.
    See Also:
      - Constant Field Values

  - ### ERR_NO_MORE_REGISTRATIONS

    public static final byte ERR_NO_MORE_REGISTRATIONS
    Регистрации исчерпаны.
    See Also:
      - Constant Field Values

  - ### ERR_INVALID_TAG

    public static final byte ERR_INVALID_TAG
    Недопустимый тэг.
    See Also:
      - Constant Field Values

  - ### ERR_TAG_NOT_FOUND

    public static final byte ERR_TAG_NOT_FOUND
    Отсутствует обязательный тэг.
    See Also:
      - Constant Field Values

  - ### ERR_BAD_TAX_INDEX

    public static final byte ERR_BAD_TAX_INDEX
    Индекс налога вне диапазона 0;10;18.
    See Also:
      - Constant Field Values

  - ### ERR_BAD_REG_NUM

    public static final byte ERR_BAD_REG_NUM
    Неверное контрольное число регистрационного номера ККТ.
    See Also:
      - Constant Field Values

  - ### ERR_BAD_TAG_FORMAT

    public static final byte ERR_BAD_TAG_FORMAT
    Ошибка формата тега.
    See Also:
      - Constant Field Values

  - ### ERR_BAD_REG_FN_NUM

    public static final byte ERR_BAD_REG_FN_NUM
    Неверный регистрационный номер ФН.
    See Also:
      - Constant Field Values

  - ### ERR_BAD_OFD_RESPONSE

    public static final byte ERR_BAD_OFD_RESPONSE
    Отрицательный (ненулевой) ответ от оператора фискальных данных (ОФД).
    See Also:
      - Constant Field Values

  - ### ERR_BAD_TAG_SIZE

    public static final byte ERR_BAD_TAG_SIZE
    Неверный размер тега.
    See Also:
      - Constant Field Values

  - ### ERR_NOT_COMPLEMENT_PAR

    public static final byte ERR_NOT_COMPLEMENT_PAR
    Параметры команды противоречат друг другу.
    See Also:
      - Constant Field Values

  - ### ERR_NEED_DATETIME_SYNC

    public static final byte ERR_NEED_DATETIME_SYNC
    Необходимо синхронизировать дату/время ККТ и ПК.
    See Also:
      - Constant Field Values

  - ### ERR_NOT_RESP_FN

    public static final byte ERR_NOT_RESP_FN
    Нет ответа от ФН.
    See Also:
      - Constant Field Values

  - ### ERR_BAD_FN_CMD

    public static final byte ERR_BAD_FN_CMD
    Общая ошибка, сбой обращения к ФН.
    See Also:
      - Constant Field Values

  - ### ERR_UNKNOWN_FN_CMD

    public static final byte ERR_UNKNOWN_FN_CMD
    Неизвестная команда, неверный формат параметров к ФН.
    See Also:
      - Constant Field Values

  - ### ERR_BAD_STATE_FN

    public static final byte ERR_BAD_STATE_FN
    Неверное состояние ФН.
    See Also:
      - Constant Field Values

  - ### ERR_FAIL_FN

    public static final byte ERR_FAIL_FN
    Ошибка ФН.
    See Also:
      - Constant Field Values

  - ### ERR_BAD_CRYPTO_FN

    public static final byte ERR_BAD_CRYPTO_FN
    Ошибка криптографического сопроцессора ФН.
    See Also:
      - Constant Field Values

  - ### ERR_DISCONTINUED_FN

    public static final byte ERR_DISCONTINUED_FN
    Закончен срок эксплуатации ФН.
    See Also:
      - Constant Field Values

  - ### ERR_OVERLOAD_FN

    public static final byte ERR_OVERLOAD_FN
    Архив ФН переполнен.
    See Also:
      - Constant Field Values

  - ### ERR_BAD_TIME_FN

    public static final byte ERR_BAD_TIME_FN
    Неверные дата и/или время ФН.
    See Also:
      - Constant Field Values

  - ### ERR_NO_DATA_FN

    public static final byte ERR_NO_DATA_FN
    Нет запрошенных данных ФН.
    See Also:
      - Constant Field Values

  - ### ERR_BAD_PAR_FN

    public static final byte ERR_BAD_PAR_FN
    Некорректное значение параметров команды ФН.
    See Also:
      - Constant Field Values

  - ### ERR_BAD_TLV_SIZE_FN

    public static final byte ERR_BAD_TLV_SIZE_FN
    Превышение размеров TLV данных ФН.
    See Also:
      - Constant Field Values

  - ### ERR_TRANSPORT_FAIL

    public static final byte ERR_TRANSPORT_FAIL
    Нет транспортного соединения.
    See Also:
      - Constant Field Values

  - ### ERR_OVERLOAD_CC_FN

    public static final byte ERR_OVERLOAD_CC_FN
    Исчерпан ресурс криптографического сопроцессора ФН.
    See Also:
      - Constant Field Values

  - ### ERR_FAIL_STORE_FN

    public static final byte ERR_FAIL_STORE_FN
    Исчерпан ресурс хранения документов для ОФД.
    See Also:
      - Constant Field Values

  - ### ERR_FAIL_WAIT_FN

    public static final byte ERR_FAIL_WAIT_FN
    Исчерпан ресурс ожидания передачи сообщения в ОФД.
    See Also:
      - Constant Field Values

  - ### ERR_SHIFT_TOO_LONG

    public static final byte ERR_SHIFT_TOO_LONG
    Продолжительность смены более 24 часов.
    See Also:
      - Constant Field Values

  - ### ERR_BAD_DIF_TIME_FN

    public static final byte ERR_BAD_DIF_TIME_FN
    Неверная разница во времени между операциями.
    See Also:
      - Constant Field Values

  - ### ERR_BAD_TAG_FROM_ECR

    public static final byte ERR_BAD_TAG_FROM_ECR
    Неверный тег.
    See Also:
      - Constant Field Values

  - ### ERR_BAD_TAG_COMBINATION_FN

    public static final byte ERR_BAD_TAG_COMBINATION_FN
    Неверная комбинация тегов.
    See Also:
      - Constant Field Values

  - ### ERR_FAIL_MSG_OFD

    public static final byte ERR_FAIL_MSG_OFD
    Сообщение от ОФД не может быть.
    See Also:
      - Constant Field Values

  - ### ERR_BAD_MSG_OFD_SIZE

    public static final byte ERR_BAD_MSG_OFD_SIZE
    Неверная длина ответа от ФН.
    See Also:
      - Constant Field Values

  - ### ERR_TRANSMIT

    public static final byte ERR_TRANSMIT
    Ошибка при передаче данных.
    See Also:
      - Constant Field Values

  - ### ERR_RECEIVE

    public static final byte ERR_RECEIVE
    Ошибка при приеме данных.
    See Also:
      - Constant Field Values

  - ### ERR_BAD_BCC

    public static final byte ERR_BAD_BCC
    Неверная контрольная сумма ответа.
    See Also:
      - Constant Field Values

  - ### ERR_BAD_ID_CHAR

    public static final byte ERR_BAD_ID_CHAR
    Неверный номер ответа.
    See Also:
      - Constant Field Values

  - ### ERR_BAD_ANS_STRUCT

    public static final byte ERR_BAD_ANS_STRUCT
    Неверная структура ответа.
    See Also:
      - Constant Field Values

  - ### ERR_TIMEOUT

    public static final byte ERR_TIMEOUT
    Таймаут приема.
    See Also:
      - Constant Field Values

  - ### ERR_MEMORYOUT

    public static final byte ERR_MEMORYOUT
    Недостаточно памяти.
    See Also:
      - Constant Field Values

  - ### ERR_INIT_REQUIRE

    public static final byte ERR_INIT_REQUIRE
    Требуется инициализация связи.
    See Also:
      - Constant Field Values

  - ### ERR_ALREADY_INIT

    public static final byte ERR_ALREADY_INIT
    Попытка повторной инициализации связи.
    See Also:
      - Constant Field Values

  - ### ERR_NOT_OPEN

    public static final byte ERR_NOT_OPEN
    Фискальный документ не открыт.
    See Also:
      - Constant Field Values

  - ### ERR_ALREADY_OPEN

    public static final byte ERR_ALREADY_OPEN
    Фискальный документ уже открыт.
    See Also:
      - Constant Field Values

  - ### ERR_POS_EMPTY

    public static final byte ERR_POS_EMPTY
    Отсутствуют обязательные реквизиты.
    See Also:
      - Constant Field Values

  - ### ERR_INIT_DLL

    public static final byte ERR_INIT_DLL
    Ошибка инициализации.
    See Also:
      - Constant Field Values

  - ### ERR_INVALID_NUMFIELD

    public static final byte ERR_INVALID_NUMFIELD
    Неверный номер поля.
    See Also:
      - Constant Field Values

  - ### ERR_INVALID_FLD_TYPE

    public static final byte ERR_INVALID_FLD_TYPE
    Неверный тип данных.
    See Also:
      - Constant Field Values

  - ### ERR_PAY_EMPTY

    public static final byte ERR_PAY_EMPTY
    Отсутствует вид оплаты.
    See Also:
      - Constant Field Values

  - ### ERR_PAY_MAX

    public static final byte ERR_PAY_MAX
    Превышено количество видов оплаты.
    See Also:
      - Constant Field Values

  - ### ERR_NOT_CREATED

    public static final byte ERR_NOT_CREATED
    Структура не создавалась.
    See Also:
      - Constant Field Values

  - ### ERR_INVALID_PARAMETER

    public static final byte ERR_INVALID_PARAMETER
    Неправильный параметр.
    See Also:
      - Constant Field Values

  - ### ERR_REGISTRATOR_BUSY

    public static final byte ERR_REGISTRATOR_BUSY
    Ответ регистратора еще не готов.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### errors

    public errors()